-- -------------------------------------------------------------------------------------------------------------------------------------------------
-- CapeClock.db Alter Statements
-- Alter statements to keep existing clocks up to date
-- -------------------------------------------------------------------------------------------------------------------------------------------------
-- Notes:
-- 	remember all alter table add column text needs to be not null default ''
--
-- -------------------------------------------------------------------------------------------------------------------------------------------------

-- ================================================================================
-- No changes needed for updates before v1.12
-- ================================================================================


-- -------------------------------------------------------------------------------------------------------------------------------------------------
-- Version 1.12
-- -------------------------------------------------------------------------------------------------------------------------------------------------
-- no changes

-- -------------------------------------------------------------------------------------------------------------------------------------------------
-- Version 1.13
-- -------------------------------------------------------------------------------------------------------------------------------------------------
alter table thisdev add column maxemployees integer default 0;


-- -------------------------------------------------------------------------------------------------------------------------------------------------
-- Version 1.13a
-- -------------------------------------------------------------------------------------------------------------------------------------------------
update card set lcn = 902, ecn = 902, scn = '0000000902' where lcn = 901 and seqid = -420 and pc = 0;	-- Show Emp Number (do this one first)
update card set lcn = 901, ecn = 901, scn = '0000000901' where lcn = 900 and seqid = -410 and pc = 0;	-- Show Emp Details

insert into card (lcn, ecn, scn, en, pc, cnv, seqid) values (930, 930, '0000000930', '', 0, 0, -600);	-- Get Internet Time
insert into card (lcn, ecn, scn, en, pc, cnv, seqid) values (931, 931, '0000000931', '', 0, 0, -601);	-- Set Time
insert into card (lcn, ecn, scn, en, pc, cnv, seqid) values (932, 932, '0000000932', '', 0, 0, -602);	-- Set Date
insert into card (lcn, ecn, scn, en, pc, cnv, seqid) values (933, 933, '0000000933', '', 0, 0, -603);	-- Set TimeZone

insert into card (lcn, ecn, scn, en, pc, cnv, seqid) values (951, 951, '0000000951', '', 0, 0, -701);	-- USB export CSV
insert into card (lcn, ecn, scn, en, pc, cnv, seqid) values (959, 959, '0000000959', '', 0, 0, -702);	-- USB Run Command



-- -------------------------------------------------------------------------------------------------------------------------------------------------
-- Version 1.13b
-- -------------------------------------------------------------------------------------------------------------------------------------------------
-- [removed bluesharkpid, pcserverpid, replicatepid from _info]

insert into card (lcn, ecn, scn, en, pc, cnv, seqid) values (986, 986, '0000000986', '', 0, 0, -401);	-- Remove Employee
insert into card (lcn, ecn, scn, en, pc, cnv, seqid) values (987, 987, '0000000987', '', 0, 0, -301);	-- Remove Card
insert into card (lcn, ecn, scn, en, pc, cnv, seqid) values (960, 960, '0000000960', '', 0, 0, -800);	-- Application Update Clock (via Web)


-- -------------------------------------------------------------------------------------------------------------------------------------------------
-- Version 1.13c
-- -------------------------------------------------------------------------------------------------------------------------------------------------
insert into card (lcn, ecn, scn, en, pc, cnv, seqid) values (961, 961, '0000000961', '', 0, 0, -801);	-- Application Update Clock via Memory Stick
insert into card (lcn, ecn, scn, en, pc, cnv, seqid) values (962, 962, '0000000962', '', 0, 0, -802);	-- Force Application Update Clock (via Web)
insert into card (lcn, ecn, scn, en, pc, cnv, seqid) values (963, 963, '0000000963', '', 0, 0, -803);	-- Force Application Update Clock via Memory Stick
insert into card (lcn, ecn, scn, en, pc, cnv, seqid) values (965, 965, '0000000965', '', 0, 0, -805);	-- Set Application Update to use Release Build
insert into card (lcn, ecn, scn, en, pc, cnv, seqid) values (966, 966, '0000000966', '', 0, 0, -806);	-- Set Application Update to use Beta Build
insert into card (lcn, ecn, scn, en, pc, cnv, seqid) values (967, 967, '0000000967', '', 0, 0, -807);	-- Set Application Update to use Alpha Build



-- -------------------------------------------------------------------------------------------------------------------------------------------------
-- Version 1.13d
-- -------------------------------------------------------------------------------------------------------------------------------------------------
insert into card (lcn, ecn, scn, en, pc, cnv, seqid) values (982, 982, '0000000982', '', 0, 0, -430);	-- Promote Employee to Admin
insert into card (lcn, ecn, scn, en, pc, cnv, seqid) values (983, 983, '0000000983', '', 0, 0, -431);	-- Demote Admin (Employee)
insert into card (lcn, ecn, scn, en, pc, cnv, seqid) values (984, 984, '0000000984', '', 0, 0, -432);	-- Promote Employee to Supervisor
insert into card (lcn, ecn, scn, en, pc, cnv, seqid) values (985, 985, '0000000985', '', 0, 0, -433);	-- Demote Supervisor (Employee)
insert into card (lcn, ecn, scn, en, pc, cnv, seqid) values (958, 958, '0000000958', '', 0, 0, -703);	-- USB Restore (DB)

-------------------------------------------------------------------------------------------------------------------------------------------------
-- Version 1.13e
-- -------------------------------------------------------------------------------------------------------------------------------------------------
alter table thisdev add column hrsindec integer default 0;
alter table dept add column pc integer default 0;
alter table area add column pc integer default 0;


-------------------------------------------------------------------------------------------------------------------------------------------------
-- Version 1.13f and Version 1.13g
-- -------------------------------------------------------------------------------------------------------------------------------------------------
alter table clocking add column del integer default 0;

create table empproc (
	en text not null primary key,
	monstart integer,
	monend integer,
	monlunch integer,
	monexpected integer,
	tuestart integer,
	tueend integer,
	tuelunch integer,
	tueexpected integer,
	wedstart integer,
	wedend integer,
	wedlunch integer,
	wedexpected integer,
	thustart integer,
	thuend integer,
	thulunch integer,
	thuexpected integer,
	fristart integer,
	friend integer,
	frilunch integer,
	friexpected integer,
	satstart integer,
	satend integer,
	satlunch integer,
	satexpected integer,
	sunstart integer,
	sunend integer,
	sunlunch integer,
	sunexpected integer
);

create table hour (
  id integer not null primary key,
  processed integer,
	en text not null,
	date integer,
	desc text not null default '', 
	hours1 integer,
	hours2 integer,
	hours3 integer,
	hours4 integer,
	hours5 integer,
	hours6 integer,
	hours7 integer,
	hours8 integer,
	hours9 integer,
	orhours1 integer default -1,
	orhours2 integer default -1,
	orhours3 integer default -1,
	orhours4 integer default -1,
	orhours5 integer default -1,
	orhours6 integer default -1,
	orhours7 integer default -1,
	orhours8 integer default -1,
	orhours9 integer default -1,
	lunch integer,
	orlunch integer
	suen text not null default '',
	stime integer,
	clockings text not null default '',
	awol integer
);

create table accumtime (
  id integer not null primary key,
  en text not null,
  date integer,
  hours integer,
  orhours integer,
	suen text not null default '',
	stime integer
);

create table leave (
  id integer not null primary key,
  fromdate integer,
  todate integer,
  en text not null default '',
  reason text not null default '',
  partial integer default 1,
  type integer,
	suen text not null default '',
	stime integer,
	scomment text not null default '',
	sdel integer
);

create table holiday (
  id integer not null primary key,
  date integer,
  desc text not null default ''
);

insert into holiday (id,date,desc) values (1,1230163200,'Christmas');


create table leavetype (
  id integer not null primary key,
  desc not null,
  paid integer,
  flexi integer,
  cat integer
);
insert into leavetype (id,desc,paid,flexi,cat) values (1, 'Paid Leave', 1, 0, 7);
insert into leavetype (id,desc,paid,flexi,cat) values (2, 'Sick Leave', 1, 0, 8);
insert into leavetype (id,desc,paid,flexi,cat) values (3, 'Flexi Leave', 1, 1, 7);
insert into leavetype (id,desc,paid,flexi,cat) values (4, 'Unpaid Leave', 0, 0, 0);
insert into leavetype (id,desc,paid,flexi,cat) values (5, 'Other Leave', 1, 0, 7);

create table gloproc (
  id integer not null primary key,
  autoproc integer default 1,
  cat1 text not null default 'Extra',
  cat2 text not null default 'Normal',
  cat3 text not null default 'Overtime',
  cat4 text not null default 'Saturday',
  cat5 text not null default 'Sunday',
  cat6 text not null default 'Holiday',
  cat7 text not null default 'Paid',
  cat8 text not null default 'Sick',
  cat9 text not null default 'Variance',
  balancing integer default 1,
  rounding integer default 15,
  extracat integer default 1,
  normalcat integer default 2,
  overtimecat integer default 3,
  satcat integer default 4,
  suncat integer default 5,
  holidaycat integer default 6,
  variancecat integer default 9,
  sunday text not null default 'Sunday',
  monday text not null default 'Monday',
  tuesday text not null default 'Tuesday',
  wednesday text not null default 'Wednesday',
  thursday text not null default 'Thursday',
  friday text not null default 'Friday',
  saturday text not null default 'Saturday',
  lastdate integer default 0
);

insert into gloproc (id) values (1);

insert into card (lcn, ecn, scn, en, pc, cnv, seqid) values (900, 900, '0000000900', '', 0, 0, -180);	-- Menu

create table menucat (
	id integer not null primary key,
	catno integer,
	desc text not null,
	disabled integer default 0
);

create table menuitem (
	id integer not null primary key,
	catno integer,
	itemno integer,
	desc text not null,
	seqid integer,
	disabled integer default 0
);

delete from menucat;			-- (may want to remove this from alter.sql later)
delete from menuitem;			-- (may want to remove this from alter.sql later)

insert into menucat (catno, desc) values (1, 'Status');
insert into menucat (catno, desc) values (2, 'Enroll');

insert into menucat (catno, desc) values (4, 'Time');
insert into menucat (catno, desc) values (5, 'USB');
insert into menucat (catno, desc) values (6, 'Update');
insert into menucat (catno, desc) values (7, 'Admin');
insert into menucat (catno, desc) values (8, 'Network');

insert into menuitem (catno, itemno, desc, seqid) values (1, 1, 'Info', -500);
insert into menuitem (catno, itemno, desc, seqid) values (1, 2, 'Status', -410);
insert into menuitem (catno, itemno, desc, seqid) values (1, 3, 'Emp Num', -420);

insert into menuitem (catno, itemno, desc, seqid) values (2, 1, 'Add Emp', -400);
insert into menuitem (catno, itemno, desc, seqid) values (2, 2, 'Add Card', -300);
insert into menuitem (catno, itemno, desc, seqid) values (2, 3, 'Finger', -200);

insert into menuitem (catno, itemno, desc, seqid) values (4, 1, 'Int Time', -600);
insert into menuitem (catno, itemno, desc, seqid) values (4, 2, 'Set Time', -601);
insert into menuitem (catno, itemno, desc, seqid) values (4, 3, 'Set Date', -602);
insert into menuitem (catno, itemno, desc, seqid) values (4, 4, 'Set TimeZone', -603);

insert into menuitem (catno, itemno, desc, seqid) values (5, 1, 'Backup', -700);
insert into menuitem (catno, itemno, desc, seqid) values (5, 2, 'Restore', -703);
insert into menuitem (catno, itemno, desc, seqid) values (5, 3, 'CSV', -701);

insert into menuitem (catno, itemno, desc, seqid) values (6, 1, 'Web Up', -800);
insert into menuitem (catno, itemno, desc, seqid) values (6, 2, 'USB Up', -801);

insert into menuitem (catno, itemno, desc, seqid) values (7, 1, '+Admin', -430);
insert into menuitem (catno, itemno, desc, seqid) values (7, 2, '-Admin', -431);
insert into menuitem (catno, itemno, desc, seqid) values (7, 3, '+Super', -432);
insert into menuitem (catno, itemno, desc, seqid) values (7, 4, '-Super', -433);
insert into menuitem (catno, itemno, desc, seqid) values (7, 5, 'Del Emp', -401);
insert into menuitem (catno, itemno, desc, seqid) values (7, 6, 'DelCard', -301);

insert into menuitem (catno, itemno, desc, seqid) values (8, 1, 'Set IP', -510);
insert into menuitem (catno, itemno, desc, seqid) values (8, 2, 'NetMask', -520);
insert into menuitem (catno, itemno, desc, seqid) values (8, 3, 'Gateway', -540);
insert into menuitem (catno, itemno, desc, seqid) values (8, 4, 'DNS1', -550);
insert into menuitem (catno, itemno, desc, seqid) values (8, 5, 'DNS2', -560);
insert into menuitem (catno, itemno, desc, seqid) values (8, 6, 'DNS3', -570);
insert into menuitem (catno, itemno, desc, seqid) values (8, 7, 'DNS4', -580);
insert into menuitem (catno, itemno, desc, seqid) values (8, 8, 'DHCP', -590);

-- [uperceded by later version] insert into menuitem (catno, itemno, desc, seqid) values (9, 8, 'Maths Test', -485);

update chore set olddatatime = 120, checkolddatainterval = 60 where id = 1;	-- turns on this chore by default (may want to remove this from alter.sql in a few versions time)

alter table _info add column processorversion integer default 0;
alter table hour add column awol integer default 0;
alter table gloproc add column lastdate integer default 0;

alter table clocking add column dt1 integer default 0;
alter table clocking add column dt2 text not null default '';

create table seq (
	id integer not null primary key,
	seqid integer,
	author text not null default '',
	name text not null default '',
	version integer,
	editdate integer,
	pc integer,
	compiled integer,
	notes text not null default '',
	bundy text not null default '',
	pcode text not null default ''
);

-------------------------------------------------------------------------------------------------------------------------------------------------
-- Version 1.13h
-- -------------------------------------------------------------------------------------------------------------------------------------------------

-------------------------------------------------------------------------------------------------------------------------------------------------
-- Version 1.13i
-- -------------------------------------------------------------------------------------------------------------------------------------------------
-- [uperceded by later version]insert into menuitem (catno, itemno, desc, seqid) values (9, 7, 'Reboot', -490);


-------------------------------------------------------------------------------------------------------------------------------------------------
-- Version 1.14
-- -------------------------------------------------------------------------------------------------------------------------------------------------

insert into menuitem (catno, itemno, desc, seqid) values (9, 1, 'Reboot', -490);
insert into menuitem (catno, itemno, desc, seqid) values (9, 7, 'Serial#', -495);
insert into menuitem (catno, itemno, desc, seqid) values (9, 8, 'Maths Test', -485);

insert into card (lcn, ecn, scn, en, pc, cnv, seqid) values (938, 938, '0000000938', '', 0, 0, -495);	-- Set Serial Number
insert into card (lcn, ecn, scn, en, pc, cnv, seqid) values (939, 939, '0000000939', '', 0, 0, -490);	-- Reboot


-------------------------------------------------------------------------------------------------------------------------------------------------
-- Version 1.14b
-- -------------------------------------------------------------------------------------------------------------------------------------------------
insert into menucat (catno, desc) values (3, 'Reserved');
insert into menuitem (catno, itemno, desc, seqid) values (5, 4, 'Sync', -700);

-------------------------------------------------------------------------------------------------------------------------------------------------
-- Version 1.14e
-- -------------------------------------------------------------------------------------------------------------------------------------------------


-------------------------------------------------------------------------------------------------------------------------------------------------
-- Version 1.14f
-- -------------------------------------------------------------------------------------------------------------------------------------------------
alter table gloproc add column autoendday integer default 1;
alter table hour add column expected text not null default '';
alter table hour add column comment text not null default '';
alter table hour add column runningtotal integer default 0;
alter table gloproc add column runningtotals integer default 0;
alter table leave add column processed integer default 0;
alter table accumtime add column processed integer default 0;
-- -------------------------------------------------------------------------------------------------------------------------------------------------
-- Keep this at the bottom of the file - it is automatically adjusted via versionchange.sh (Do not edit)
-- -------------------------------------------------------------------------------------------------------------------------------------------------
update _info set dbversion = 1146;
-- -------------------------------------------------------------------------------------------------------------------------------------------------








